%define piname	sar_pi
%define _disable_ld_no_undefined 1

Name:		opencpn-sar-plugin
Summary:	Search And Rescue plugin for OpenCPN
Version:	4.0.0
Release:	%mkrel 1
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sar.html
Source0:	https://github.com/Rasbats/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
##git clone https://github.com/leamas/opencpn-libs.git
Source1:    opencpn-libs.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Create Search and Rescue patterns with desired parameters.

%prep
%autosetup -a1 -n %{piname}-%{version}

%build
%cmake 

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/
mv %{_vpath_builddir}/app/sar-4.0-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%doc README
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale


%changelog
* Tue May 30 2023 philippedidier <philippedidier> 4.0.0-1.mga9
+ Revision: 1959948
- new version 4.0.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 3.0.0-1.mga9
+ Revision: 1868279
- New version 3.0.0

* Sun Apr 03 2022 umeabot <umeabot> 2.6-3.mga9
+ Revision: 1842567
- Mageia 9 Mass Rebuild

* Fri Jul 23 2021 barjac <barjac> 2.6-2.mga9
+ Revision: 1737459
- fix lib path on aarch64
- set version limit on wxgtku BR
- Minor typo in %%description
- Remove stray tab at end of line
+ philippedidier <philippedidier>
- imported package opencpn-sar-plugin

